function SetUpButtons
    rem *** Load atlas image ***
    LoadImage(99,"Buttons.png")
    rem *** Load subimages used ***
    for id = 1 to 24 step 2
        LoadSubImage(id,99,Str(id/2+1)+"Up.png")
        LoadSubImage(id+1,99,Str(id/2+1)+"Down.png")
    next id
    rem *** Set up virtual buttons ***
    for id = 1 to 12
        AddVirtualButton(id,95,8+(id-1)*7,8)
        SetVirtualButtonImageUp(id,(id-1)*2+1)
        SetVirtualButtonImageDown(id,id*2)
    next id
endfunction




function GetButtonEntry()
    rem *** no characters input ***
    result$=""
    rem *** input not complete ***
    finish = 0
    rem *** Read buttons until Enter button pressed ***
    repeat
        rem *** Check each key for being pressed ***
        for button = 1 to 12
            rem *** if this button is pressed ***
            if GetVirtualButtonState(button) = 1
                rem *** and its a numeric  ***
                if button >= 1 AND button <= 10
                    rem *** add button's value to result ***
                    result$ = result$ + STR(button mod 10)
                endif
                rem *** if backspace button pressed AND result contains digits ***
                if  button = 11 AND len(result$) > 0
                    rem *** remove right-most digit ***
                    result$ = Left(result$,Len(result$)-1)
                endif
                rem *** if enter key pressed ***
                if button = 12
                    rem *** set finish ***
                    finish = 1
                endif
                rem *** wait for current button to be released ***
                repeat
                    Print(result$)
                    Sync()
                until GetVirtualButtonState(button)= 0
            endif
        next button
        rem *** Display digits input ***
        Print(result$)
        Sync()
    until finish = 1
    rem *** Convert string to value (empty string = 0)***
    if result$=""
        result = 0
    else
        result = Val(result$)
    endif
endfunction result

